Saltar al contenido

Update a cost center

Módulo Finance

PATCH/cost-centers/{id}costCenters.update

A tenant cost center (GL dimension 1), created from canon templates or per event scope. Updates the fields sent; omitted fields are unchanged. Requires `If-Match` with the current `ETag`: a stale tag returns 412 and a missing tag returns 428.

  • Requiere la capacidad finance.cost_center.write.
  • Alcances de OAuth: finance.
  • Envía If-Match con el ETag que leíste. Una etiqueta desactualizada devuelve 412; si falta, devuelve 428.
  • Estados de error: 400, 401, 404, 412, 422, 428, 429. Los errores son detalles de problema RFC 9457.

Parámetros de ruta y de consulta

costCenters.update: Parámetros de ruta y de consulta
CampoTipoObligatorioDescripción
idstring (uuid)SíIdentifier of the cost center.

Cuerpo de la solicitud: CostCenterUpdate

costCenters.update: CostCenterUpdate
CampoTipoObligatorioDescripción
codeCostCenterCodeNoCost center identifier (GL dimension 1).Restricciones: pattern ^CC-[A-Z0-9-]+$
namestringNoCost center name.Restricciones: length 1 to 300
kind"Standing" | "Overhead" | "Event"NoCost center kind.
scope_node_idstring (uuid) | nullNoIdentifier of the scope node.
{
  "name": "Event 01 Opening Weekend",
  "kind": "Standing",
  "scope_node_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f"
}

Respuesta 200: CostCenter

costCenters.update: CostCenter
CampoTipoObligatorioDescripción
idstring (uuid)SíIdentifier of the cost center.
org_idstring (uuid)SíIdentifier of the owning organization, derived from the parent row and never accepted from the caller.
created_atstring (date-time)SíWhen the row was created.
created_bystring (uuid) | nullSíIdentifier of the person who created the row; null when a seed, platform or system process created it.
updated_atstring (date-time)SíWhen the row was last updated.
updated_bystring (uuid) | nullSíIdentifier of the person who last updated the row; null when a seed, platform or system process updated it.
codeCostCenterCodeSíCost center identifier (GL dimension 1).Restricciones: pattern ^CC-[A-Z0-9-]+$
namestringSíCost center name.Restricciones: length 1 to 300
kind"Standing" | "Overhead" | "Event"SíCost center kind.
scope_node_idstring (uuid) | nullSíIdentifier of the scope node.
template_idstring | nullSíCanon cost center template.Restricciones: pattern ^[A-Za-z0-9][A-Za-z0-9._-]{0,63}$
{
  "id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "org_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "created_at": "2026-10-08T14:30:00Z",
  "created_by": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "updated_at": "2026-10-08T14:30:00Z",
  "updated_by": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "code": "CC-VENUE",
  "name": "Event 01 Opening Weekend",
  "kind": "Standing",
  "scope_node_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "template_id": "CC-VENUE"
}

Ejemplos de código

curl -X PATCH "$XOS_BASE_URL/cost-centers/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY" \
  -H 'If-Match: W/"etag-from-your-last-read"' \
  -H "Content-Type: application/json" \
  -d '{"name":"Event 01 Opening Weekend","kind":"Standing","scope_node_id":"0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f"}'
const { data, etag } = await xos.costCenters.update("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f", {
    "name": "Event 01 Opening Weekend",
    "kind": "Standing",
    "scope_node_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f"
  }, { ifMatch: etag });
response = xos.cost_centers.update("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f", {"name": "Event 01 Opening Weekend", "kind": "Standing", "scope_node_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f"}, if_match=etag)
xos cost-centers update 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f --data '{"name":"Event 01 Opening Weekend","kind":"Standing","scope_node_id":"0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f"}' --if-match auto